Avro C#

Public Member Functions | Properties | List of all members
Avro.SchemaNames Class Reference

A class that contains a list of named schemas. This is used when reading or writing a schema/protocol. This prevents reading and writing of duplicate schema definitions within a protocol or schema file More...

## Public Member Functions
| SchemaNames ()
| Constructor More...
bool | Contains (SchemaName name)
| Checks if given name is in the map More...
bool | Add (SchemaName name, NamedSchema schema)
| Adds a schema name to the map if it doesn't exist yet More...
bool | Add (NamedSchema schema)
| Adds a named schema to the list More...
bool | TryGetValue (string name, string space, string encspace, string documentation, out NamedSchema schema)
| Tries to get the value for the given name fields More...
IEnumerator< KeyValuePair< SchemaName, NamedSchema > > | GetEnumerator ()
| Returns the enumerator for the map More...

## Properties
IDictionary< SchemaName, NamedSchema > | Names`[get]`
| Map of schema name and named schema objects More...

## Detailed Description

A class that contains a list of named schemas. This is used when reading or writing a schema/protocol. This prevents reading and writing of duplicate schema definitions within a protocol or schema file

## Constructor & Destructor Documentation

## ◆ SchemaNames()

Avro.SchemaNames.SchemaNames | ( |  | ) |
| inline

Constructor

## Member Function Documentation

## ◆ Add() [1/2]

bool Avro.SchemaNames.Add | ( | NamedSchema | schema | ) |
| inline

Adds a named schema to the list

Parameters

  schema | schema object

Returns
  true if schema was added to the list, false if schema is already in the list

## ◆ Add() [2/2]

bool Avro.SchemaNames.Add | ( | SchemaName | name,
|  | NamedSchema | schema
| ) |  |
| inline

Adds a schema name to the map if it doesn't exist yet

Parameters

  name | schema name
  schema | schema object

Returns
  true if schema was added to the list, false if schema is already in the list

## ◆ Contains()

bool Avro.SchemaNames.Contains | ( | SchemaName | name | ) |
| inline

Checks if given name is in the map

Parameters

  name | schema name

Returns
  true or false

## ◆ GetEnumerator()

IEnumerator<KeyValuePair<SchemaName, NamedSchema> > Avro.SchemaNames.GetEnumerator | ( |  | ) |
| inline

Returns the enumerator for the map

Returns

## ◆ TryGetValue()

bool Avro.SchemaNames.TryGetValue | ( | string | name,
|  | string | space,
|  | string | encspace,
|  | string | documentation,
|  | out NamedSchema | schema
| ) |  |
| inline

Tries to get the value for the given name fields

Parameters

  name | name of the schema
  space | namespace of the schema
  encspace | enclosing namespace of the schema
  documentation | documentation for the schema
  schema | schema object found

Returns
  true if name is found in the map, false otherwise

## Property Documentation

## ◆ Names

IDictionary<SchemaName, NamedSchema> Avro.SchemaNames.Names
| get

Map of schema name and named schema objects

The documentation for this class was generated from the following file:

- src/apache/main/Schema/SchemaName.cs